#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Oct  1 20:06:43 2019

@author: chemak
"""

import cantera as ct # cantera can be downloaded from https://cantera.org/install/ubuntu-install.html

mech_file = 'mech_file.cti'

# mech_file is chemical mechanism in cti file format, NB: it is possible to convert chemkin file format to cti

gas = ct.Solution(mech_file)

# set the initial temperature and pressure
gas.TP = Tmix , Pcc

# compute the chemical equilibruim holding specific enthalpy and pressure fixed
gas.equilibrate('HP')

# print the 
print(gas.T) 